.\"    Created Fri April 20 12:15:07 CEST 2007 by sloter <contact me at sourceforge.net>
.\" 
.\"    This documentation is free software; you can redistribute it and/or modify
.\"    it under the terms of the GNU General Public License as published by
.\"    the Free Software Foundation; either version 2 of the License, or
.\"    (at your option) any later version.
.\" 
.\"    This documentation is distributed in the hope that it will be useful,
.\"    but WITHOUT ANY WARRANTY; without even the implied warranty of
.\"    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\"    GNU General Public License for more details.
.\" 
.\"    You should have received a copy of the GNU General Public License with
.\"    the Debian GNU/Linux distribution in file /usr/share/common-licenses/GPL;
.\"    if not, write to the Free Software Foundation, Inc., 59 Temple Place,
.\"    Suite 330, Boston, MA  02111-1307  USA
.\" 
.\"    On Debian systems, the complete text of the GNU General Public
.\"    License, version 2, can be found in /usr/share/common-licenses/GPL-2.
.\"
.TH MOBLOCK 1 "20 April 2007" "Version 0.8\-15\-beta" "MoBlock Manual"
.SH NAME
moblock \- a linux console IP blocker to protect your privacy. 
.SH SYNOPSIS
.B moblock
[
.B "\-dnp"
.I blocklist file
] [
.B "\-q"
.I value
]
.I log file
.SH DESCRIPTION
.B Moblock
is an open source IP filter designed to block the IP addresses of certain organizations and corporations that may wish to harm a users privacy while using the Internet and peer-to-peer networks.

.B Moblock
blocks IP addresses defined in
.I blocklist file
and based upon a list of IP addresses collected by many methods.

.B Moblock
supports and uses the new kernel interface NFQUEUE added since linux kernel 2.6.14.
.SH OPTIONS
.TP
.BI "\-d" " blocklist file"
Specify the list of blocked IP when it is in an ipfilter.dat type.
.TP
.BI "\-n" " blocklist file"
Specify the list of blocked IP when it is in a peerguardian 2.x '.p2b' type.
.TP
.BI "\-p" " blocklist file"
Specify the list of blocked IP when it is in a peerguardian '.p2p' type. 
.TP
.BI "\-q" " value"
Specify the QUEUE number to use. Valud queue numbers are 0 to 65535. The default is 0. As defined with --queue-num in
.BR iptables (8).
.LP
.SH SIGNALS
.B Moblock
reacts to a set of signals. You may easily send a signal to it using the following:
.IP
.nf
kill -SIGNAL `cat /var/run/moblock.pid`
.fi
.PP
.TP
.B SIGHUP
This lets
.B moblock
perform a re-initialization. Dumps and resets stats then reloads
.IR "blocklist file" .
.TP
.B SIGTERM
The
.B moblogd
will die.
.TP
.B SIGUSR1
This lets
.B moblock
dump the stats.
.TP
.B SIGUSR2
This lets
.B moblock
dump the stats to
.IR /var/log/MoBlock.stats .
.LP
.SH NOTES
This is a preliminary manpage. Expect some glitches...

There are two versions of moblock, each in their own package. They are called
moblock-ipq and moblock-nfq, indicating the library they were compiled
against.
.LP
.SH FILES
.PD 0
.TP
.IR "/etc/init.d/moblock-nfq" " {MAY BECOME moblockd instead of moblock-nfq}"
The 
.B moblock
daemon script.

.TP
.IR "/etc/cron.daily/moblock-nfq" " {MAY BECOME moblockd instead of moblock-nfq}"
The script that updates the
.IR "blocklist file" .
The script also include the configuration informations to updtes the list.

.TP
.I /etc/moblock/guarding.p2p
The default master blocklist. Based on the merge of the downloaded single blocklists defined in
.IR "/etc/cron.daily/moblock-nfq" "{MAY BECOME moblockd instead of moblock-nfq}"

.TP
.I /etc/moblock/MoBloq-nfq.sh
Start script loads the iptables rules. 

.TP
.I /var/run/moblock.pid
The file containing the process id of
.BR moblock .

.TP
.I /var/log/moblock.log
The default log file of the daemon
.BR moblock .
This file contains the blocked IPs, the errors messages and other things about starting/stopping and updating 
.BR moblock .
.PD
.SH REPORTING BUGS
Report bugs and patches to clessing@users.sourceforge.net
.LP
.SH SEE ALSO
.BR iptables (8).
